Subject: Re: bug#54989: 28.1; url-http.el: chunked response: wait for the last CRLF

From: Nacho Barrientos <[email-masked]>
Date: Mon, 18 Apr 2022 11:13:23 +0200

Hi Lars,

Lars Ingebrigtsen <[email-masked]> writes:

> Oops.  I'll send a query about what's up.

Thanks in advance for any help you can provide. Any news you might have
please feel free to send me an e-mail.

BTW, here's a patch for your consideration. It's related to the diff I
initially sent, that's why I'm bothering you again over here.

Nothing big, just some cosmetics.

>From 5c1c53a0969b07d1487a9751b8849a1818680cb7 Mon Sep 17 00:00:00 2001
From: Nacho Barrientos <[email-masked]>
Date: Mon, 18 Apr 2022 11:04:55 +0200
Subject: [PATCH] Unify local variable initialisation

Treat url-http-chunked-last-crlf-missing as any other buffer variable
by declaring and initialising it the same way as the other related
ones.
---
 lisp/url/url-http.el | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
index 7f55866eec..b950a8994f 100644
--- a/lisp/url/url-http.el
+++ b/lisp/url/url-http.el
@@ -36,7 +36,7 @@
 (defvar url-current-object)
 (defvar url-http-after-change-function)
 (defvar url-http-chunked-counter)
-(defvar url-http-chunked-last-crlf-missing nil)
+(defvar url-http-chunked-last-crlf-missing)
 (defvar url-http-chunked-length)
 (defvar url-http-chunked-start)
 (defvar url-http-connection-opened)
@@ -1163,7 +1163,7 @@ the end of the document."
                         (progn
 	                  (url-http-debug
                            "Spinning for the terminator of last chunk...")
-                          (setq-local url-http-chunked-last-crlf-missing
+                          (setq url-http-chunked-last-crlf-missing
                                       (point)))
 		      (url-http-debug "Removing terminator of last chunk")
 		      (delete-region (match-beginning 0) (match-end 0))
@@ -1354,6 +1354,7 @@ The return value of this function is the retrieval buffer."
 		       url-http-after-change-function
 		       url-http-response-version
 		       url-http-response-status
+                       url-http-chunked-last-crlf-missing
 		       url-http-chunked-length
 		       url-http-chunked-counter
 		       url-http-chunked-start
@@ -1378,6 +1379,7 @@ The return value of this function is the retrieval buffer."
 	      url-http-noninteractive url-request-noninteractive
 	      url-http-data url-request-data
 	      url-http-process connection
+              url-http-chunked-last-crlf-missing nil
 	      url-http-chunked-length nil
 	      url-http-chunked-start nil
 	      url-http-chunked-counter 0
-- 
2.35.3

Thanks again,

--
 bye
 Nacho
 http://cern.ch/nacho